Skip to main content
`Ctrl`+`K`

# KSPGMRESSetRestart

Sets number of iterations at which `KSPGMRES`, `KSPFGMRES` and `KSPLGMRES` restarts.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGMRESSetRestart(KSP ksp, PetscInt restart)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- restart - integer restart value

## Options Database Key

- -ksp_gmres_restart - integer restart value

## Note

The default value is 30.

## See Also

KSP: Linear System Solvers, `KSPGMRES`, `KSPSetTolerances()`, `KSPGMRESSetOrthogonalization()`, `KSPGMRESSetPreAllocateVectors()`, `KSPGMRESGetRestart()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gmres/gmres.c

## Examples

src/ksp/ksp/tutorials/ex71.c

## Implementations

KSPGMRESSetRestart_FGMRES() in src/ksp/ksp/impls/gmres/fgmres/fgmres.c
KSPGMRESSetRestart_GMRES() in src/ksp/ksp/impls/gmres/gmres.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages